Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.core
Class StandardContextMapper

    java.lang.Object
      |
      +--org.apache.catalina.core.StandardContextMapper

All Implemented Interfaces:
  Mapper

public final class StandardContextMapper
extends java.lang.Object
implements Mapper

Implementation of `Mapper` for a `Context`, designed to process HTTP requests. This mapper selects an appropriate `Wrapper` based on the request URI included in the request.

IMPLEMENTATION NOTE: This Mapper only works with a `StandardContext`, because it relies on internal APIs.

Version:
  $Revision: 1.6 $ $Date: 2001/07/22 20:25:08 $
Author:
  Craig R. McClanahan

Constructor Summary
`StandardContextMapper()`

Method Summary
`Container` | `getContainer()` Return the Container with which this Mapper is associated.
`java.lang.String` | `getProtocol()` Return the protocol for which this Mapper is responsible.
`Container` | `map(Request request, boolean update)` Return the child Container that should be used to process this Request, based upon its characteristics.
`void` | `setContainer(Container container)` Set the Container with which this Mapper is associated.
`void` | `setProtocol(java.lang.String protocol)` Set the protocol for which this Mapper is responsible.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardContextMapper

    public StandardContextMapper()

Method Detail

### getContainer

    public Container getContainer()

  Return the Container with which this Mapper is associated.
  Specified by:
    `getContainer` in interface `Mapper`

### setContainer

    public void setContainer(Container container)

  Set the Container with which this Mapper is associated.
  Specified by:
    `setContainer` in interface `Mapper`
  Parameters:
    `container` - The newly associated Container
  Throws:
    `java.lang.IllegalArgumentException` - if this Container is not acceptable to this Mapper

### getProtocol

    public java.lang.String getProtocol()

  Return the protocol for which this Mapper is responsible.
  Specified by:
    `getProtocol` in interface `Mapper`

### setProtocol

    public void setProtocol(java.lang.String protocol)

  Set the protocol for which this Mapper is responsible.
  Specified by:
    `setProtocol` in interface `Mapper`
  Parameters:
    `protocol` - The newly associated protocol

### map

    public Container map(Request request,
                         boolean update)

  Return the child Container that should be used to process this Request, based upon its characteristics. If no such child Container can be identified, return `null` instead.
  Specified by:
    `map` in interface `Mapper`
  Parameters:
    `request` - Request being processed
    `update` - Update the Request to reflect the mapping selection?
  Throws:
    `java.lang.IllegalArgumentException` - if the relative portion of the path cannot be URL decoded

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.